import { Component, OnInit } from "@angular/core";
import { ModalDialogParams } from "nativescript-angular/modal-dialog";
import { Page } from "tns-core-modules/ui/page/page";

// >> passing-parameters
@Component({
    moduleId: module.id,
    templateUrl: "./alertModalDialog.component.html",
    styleUrls: [
        "./alertModalDialog.component.css"
    ]
})
export class AlertModalDialogComponent implements OnInit {
    public title: string;
    public text: string;

    constructor(private params: ModalDialogParams, private page: Page) {
        this.title = params.context.title;
        this.text = params.context.text;

        this.page.on("unloaded", () => {
            // using the unloaded event to close the modal when there is user interaction
            // e.g. user taps outside the modal page
            this.params.closeCallback();
        });
    }

    ngOnInit() {
    }

    public submit(): void {
        this.params.closeCallback();
    }

    public cancel() {
        this.params.closeCallback();
    }
}
// << passing-parameters
