import { ViewContainerRef, Injectable } from "@angular/core";
import { ModalDialogService, ModalDialogOptions } from "nativescript-angular/modal-dialog";
import { AlertModalDialogComponent } from "./alertModalDialog.component";

@Injectable()
export class AlertModalDialogHelper {
    constructor(private _modalService: ModalDialogService) { }
    
    public createAlertModalDialog(params: { vcRef: ViewContainerRef, title?: string, text?: string }): Promise<any> {
        let options: ModalDialogOptions = {
            viewContainerRef: params.vcRef,
            context: {
                title: params.title,
                text: params.text,
            },
            fullscreen: false
        };
        return this._modalService.showModal(AlertModalDialogComponent, options);
    }
}